# set OEL distribution
%define oel4  %(test "%{?dist}" = ".el4"  && echo 1 || echo 0)
%define oel5  %(test "%{?dist}" = ".el5"  && echo 1 || echo 0)
%if %oel4
%define __python                /usr/bin/python24
%endif

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-ZSI
Version:        2.1
Release:        a1%{?dist}
Summary:        Zolera SOAP Infrastructure
Group:          Development/Languages
License:        MIT and LBNL BSD and ZPLv2.0
URL:            http://pywebsvcs.sourceforge.net/
Source:         %{name}-%{version}-a1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
%if %oel4
BuildRequires:  python24-devel python-setuptools
%endif
%if %oel5
BuildRequires:  python-devel python-setuptools
%endif
Patch0: ZSI-2.1-a1-TC.patch

%description
The Zolera SOAP Infrastructure provides libraries for developing web services
using the python programming language. The libraries implement the various
protocols used when writing web services including SOAP, WSDL, and other
related protocols.

%prep
%setup -q -n ZSI-%{version}-a1
%patch0 -p0

# remove cvs internal files and
# get rid of executable perm due to rpmlint's
# warnings like: 
# W: python-zsi spurious-executable-perm
#
find doc/examples -name .cvs\* -exec rm -f {} \;
find doc/examples samples -perm 755 -type f -exec chmod a-x {} \;

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# some files have shebang and aren't executable
# the simple command below looks for them and if
# they're found, it'll do chmod a+x

find $RPM_BUILD_ROOT%{python_sitelib}/ZSI \
    -type f -perm 644 -name \*.py \
    -exec grep -q \#\!\.\*python {} \; \
    -and -exec chmod a+x {} \;

# since python-setuptools changed the wsdl2py contents when run setup.py install
# copy the original one to $RPM_BUILD_ROOT/%{_bindir}
find %{_topdir}/BUILD/ZSI-%{version}-a1/scripts/ -name wsdl2py -exec cp {} $RPM_BUILD_ROOT/%{_bindir}/wsdl2py \;
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README samples doc
%{_bindir}/wsdl2py
%{python_sitelib}/ZSI
%{python_sitelib}/ZSI-*.egg-info

%changelog
* Thu Jun 10 2009 Xiaoou Wu<xiaoou.wu at oracle.com> - 2.1-a1-1
- Update the tarball to 2.1 alpha1 
- Added ZSI-2.1-a1-TC.patch

* Fri Jan 04 2008 Micha? Bentkowski <mr.ecik at gmail.com> - 2.0-3
- Just bumping...

* Sat Dec 29 2007 Micha? Bentkowski <mr.ecik at gmail.com> - 2.0-2
- Fix License field (BSD to LBNL BSD)

* Thu Nov 01 2007 Micha? Bentkowski <mr.ecik at gmail.com> - 2.0-1
- First release 
